org.aspectj.internal.lang.reflect

## Class TypePatternBasedPerClauseImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.PerClauseImpl
  - - org.aspectj.internal.lang.reflect.TypePatternBasedPerClauseImpl

All Implemented Interfaces:
  PerClause, TypePatternBasedPerClause

    public class TypePatternBasedPerClauseImpl
    extends PerClauseImpl
    implements TypePatternBasedPerClause

Author:
  colyer

### Constructor Summary

Constructors
Constructor and Description
`TypePatternBasedPerClauseImpl(PerClauseKind kind, String pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TypePattern` `getTypePattern()`
`String` `toString()`

### Methods inherited from class org.aspectj.internal.lang.reflect.PerClauseImpl

`getKind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TypePatternBasedPerClauseImpl

    public TypePatternBasedPerClauseImpl(PerClauseKind kind,
                                         String pattern)

### Method Detail

#### getTypePattern

    public TypePattern getTypePattern()

Specified by:
  `getTypePattern` in interface `TypePatternBasedPerClause`
Returns:
  the associated type pattern

#### toString

    public String toString()

Overrides:
  `toString` in class `PerClauseImpl`